<?php

define('_IN_JOHNCMS', 1);
require('../incfiles/core.php'); 

$lng_forum = core::load_lng('forum');
if (isset($_SESSION['ref']))
    unset($_SESSION['ref']);

$set_forum = $user_id && !empty($datauser['set_forum']) ? unserialize($datauser['set_forum']) : array(
    'farea'    => 0,
    'upfp'     => 0,
    'preview'  => 1,
    'postclip' => 1,
    'postcut'  => 0
);

$ext_arch = array(
    'zip',
    'rar',
    '7z',
    'tar',
    'gz',
    'apk'
);

$ext_audio = array(
    'mp3',
    'amr'
);

$ext_doc = array(
    'txt',
    'pdf',
    'doc',
    'docx',
    'rtf',
    'djvu',
    'xls',
    'xlsx'
);

$ext_java = array(
    'sis',
    'sisx',
    'apk'
);

$ext_pic = array(
    'jpg',
    'jpeg',
    'gif',
    'png',
    'bmp'
);
// Файлы SIS
$ext_sis = array(
    'sis',
    'sisx'
);
// Файлы видео
$ext_video = array(
    '3gp',
    'avi',
    'flv',
    'mpeg',
    'mp4'
);
// Файлы Windows
$ext_win = array(
    'exe',
    'msi'
);
// Другие типы файлов (что не перечислены выше)
$ext_other = array('wmf');

/*
-----------------------------------------------------------------
Ограничиваем доступ к Форуму
-----------------------------------------------------------------
*/
$error = '';
if (!$set['mod_forum'] && $rights < 7)
    $error = $lng_forum['forum_closed'];
elseif ($set['mod_forum'] == 1 && !$user_id)
    $error = $lng['access_guest_forbidden'];
if ($error) {
    require('../incfiles/head.php');
    echo '<div class="rmenu"><p>' . $error . '</p></div>';
    require('../incfiles/end.php');
    exit;
}

//--SEO TIT
$headmod = $id ? 'forum,' . $id : 'forum';
if (empty($id)) {
$textl = '' . $lng['forum'] . '';
} else {
$req = mysql_query("SELECT `text` FROM `forum` WHERE `id`= '" . $id . "'");
$get = mysql_fetch_assoc($req);
$hdr = strtr($get['text'], array(
'&laquo;' => '',
'&raquo;' => '',
'&quot;' => '',
'&amp;'  => '',
'&lt;'   => '',
'&gt;'   => '',
//--FIX BBCODE Title		
'[b]' => '',
'[/b]' => '',
'[red]'  => '',
'[/red]'   => '',
'[green]'   => '',
'[/green]'   => '',		
'[blue]'   => '',
'[/blue]'   => '',
'[black]'   => '',
'[/black]'   => '',
'[br]'   => '',	
'[br/]'   => '',
'[/br]'   => '',			
'[yelow]'   => '',	
'[/yelow]'   => '',
'[i]'   => '',	
'[/i]'   => '',		
//--End		
'&#039;' => ''
));
$hdr = html_entity_decode($hdr,ENT_QUOTES,'UTF-8');////fix font title	
$hdr = functions::checkout($hdr);
$kiem_tra_typer = mysql_query("SELECT `text` FROM `forum` WHERE `type`= 'r'");
$ket_qua_typer = mysql_fetch_assoc($kiem_tra_typer);
$ket_qua_typer = $ket_qua_typer['text'];
$ket_qua_typer = html_entity_decode($ket_qua_typer,ENT_QUOTES,'UTF-8');////fix font title	
$kiem_tra_typef = mysql_query("SELECT `text` FROM `forum` WHERE `type`= 'f'");
$ket_qua_typef = mysql_fetch_assoc($kiem_tra_typef);
$ket_qua_typef = $ket_qua_typef['text'];
$ket_qua_typef = html_entity_decode($ket_qua_typef,ENT_QUOTES,'UTF-8');////fix font title	
$textl = ''.$hdr.'';
$postres = mysql_fetch_assoc(mysql_query("SELECT `forum`.* FROM `forum` LEFT JOIN `users` ON `forum`.`user_id` = `users`.`id` WHERE `forum`.`type` = 'm' AND `forum`.`refid` = '$id' ORDER BY `forum`.`id` ASC LIMIT 1"));
$motaa = functions::cutword(functions::fixtext($postres['text']), 25);
$set['meta_desc'] = $res['desc'] ? $res['desc'] : $motaa;
}
$mods = array(
'them-file',
'addvote',
'close',
'deltema',
'delvote',
'edit-post',
'editvote',
'file',
'files',
'filter',
'loadtem',
'new',
'nt',
'per',
'post',
'ren',
'restore',
'say',
'tema',
'users',
'vip',
'vote',
'who',
'curators'
);
if ($act && ($key = array_search($act, $mods)) !== FALSE && file_exists('includes/' . $mods[$key] . '.php')) {
require('includes/' . $mods[$key] . '.php');
} else {
require('../incfiles/head.php');

/*
-----------------------------------------------------------------
Если форум закрыт, то для Админов выводим напоминание
-----------------------------------------------------------------
*/
if (!$set['mod_forum']) echo '<div class="alarm">' . $lng_forum['forum_closed'] . '</div>';
elseif ($set['mod_forum'] == 3) echo '<div class="rmenu">' . $lng['read_only'] . '</div>';
if (!$user_id) {
if (isset($_GET['newup']))
$_SESSION['uppost'] = 1;
if (isset($_GET['newdown']))
$_SESSION['uppost'] = 0;
}
if ($id) {
/*
-----------------------------------------------------------------
Определяем тип запроса (каталог, или тема)
-----------------------------------------------------------------
*/
$type = mysql_query("SELECT * FROM `forum` WHERE `id`= '$id'");
if (!mysql_num_rows($type)) {
// Если темы не существует, показываем ошибку
echo functions::display_error($lng_forum['error_topic_deleted'], '<a href="index.php">' . $lng['to_forum'] . '</a>');
require('../incfiles/end.php');
exit;
}
$type1 = mysql_fetch_assoc($type);

/*
-----------------------------------------------------------------
Фиксация факта прочтения Топика
-----------------------------------------------------------------
*/
if ($user_id && $type1['type'] == 't') {
$req_r = mysql_query("SELECT * FROM `cms_forum_rdm` WHERE `topic_id` = '$id' AND `user_id` = '$user_id' LIMIT 1");
if (mysql_num_rows($req_r)) {
$res_r = mysql_fetch_assoc($req_r);
if ($type1['time'] > $res_r['time'])
mysql_query("UPDATE `cms_forum_rdm` SET `time` = '" . time() . "' WHERE `topic_id` = '$id' AND `user_id` = '$user_id' LIMIT 1");
} else {
mysql_query("INSERT INTO `cms_forum_rdm` SET `topic_id` = '$id', `user_id` = '$user_id', `time` = '" . time() . "'");
}
}

/*
-----------------------------------------------------------------
Получаем структуру форума
-----------------------------------------------------------------
*/
$res = true;
$parent = $type1['refid'];
while ($parent != '0' && $res != false) {
$req = mysql_query("SELECT * FROM `forum` WHERE `id` = '$parent' LIMIT 1");
$res = mysql_fetch_assoc($req);
if ($res['type'] == 'f' || $res['type'] == 'r')
$tree[] = '<span class="tree" typeof="v:Breadcrumb"><a href="'.$home.'/forum/' . functions::viethuy($res['text']) . '_' . $parent . '.html">' . $res['text'] . '</a></span>';
$parent = $res['refid'];
}
//--Cấu trúc dữ liệu
$tree[] = '<span class="tree" typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">Trang chủ</a></span>
<span class="tree" typeof="v:Breadcrumb"><a href="index.php" rel="v:url" property="v:title">' . $lng['forum'] . '</a></span>';
krsort($tree);
////
if ($type1['type'] != 't' && $type1['type'] != 'm')
$tree[] = '<span class="tree" typeof="v:Breadcrumb"><b>' . $type1['text'] . '</b></span>';

$sql = ($rights == 9) ? "" : " AND `del` != '1'";
if ($type1['type'] == 'f') {
$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_forum_files` WHERE `cat` = '$id'" . $sql), 0);
if ($count > 0)
$filelink = '<a href="index.php?act=files&amp;c=' . $id . '">' . $lng_forum['files_category'] . '</a>';
} elseif ($type1['type'] == 'r') {
$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_forum_files` WHERE `subcat` = '$id'" . $sql), 0);
if ($count > 0)
$filelink = '<a href="index.php?act=files&amp;s=' . $id . '">' . $lng_forum['files_section'] . '</a>';
} elseif ($type1['type'] == 't') {
$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_forum_files` WHERE `topic` = '$id'" . $sql), 0);
if ($count > 0)
$filelink = '<a href="index.php?act=files&amp;t=' . $id . '">' . $lng_forum['files_topic'] . '</a>';
}
$filelink = isset($filelink) ? $filelink . '&#160;<span class="red">(' . $count . ')</span>' : FALSE;

echo '<a id="up"></a><p>' . counters::forum_new(1) . '</p>' .
'<div class="breadcrumb">' . functions::display_menu($tree) . '</div>';
switch ($type1['type']) {
case 'f':
/*
-----------------------------------------------------------------
Список разделов форума
-----------------------------------------------------------------
*/
$req2 = mysql_query("SELECT `id`, `text`, `soft`, `edit` FROM `forum` WHERE `type`='r' AND `refid`='$id' ORDER BY `realid`");
$tong2 = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum` WHERE `type`='r' AND `refid`='$id' ORDER BY `realid`"), 0);
echo '<div class="gmenu">';
while($res2 = mysql_fetch_array($req2)){
	$tongid[]='`refid` = '.$res2['id'].'';
}
$config_idtopic = implode(' OR ',$tongid).'';
//Mod Top pic
$req_toppic = mysql_query("SELECT * FROM `forum` WHERE `type` = 't' and kedit='0' AND `close`!='1' AND $config_idtopic ORDER BY `time` DESC LIMIT 10");
while ($arr = mysql_fetch_array($req_toppic)) {
$q3 = mysql_query("select `id`, `refid`, `text` from `forum` where type='r' and id='" . $arr['refid'] . "'");
$razd = mysql_fetch_array($q3);
$q4 = mysql_query("select `id`, `refid`, `text` from `forum` where type='f' and id='" . $razd['refid'] . "'");
$frm = mysql_fetch_array($q4);
$nikuser = mysql_query("SELECT `from`,`user_id`,`id`, `time`, `from` FROM `forum` WHERE `type` = 'm' AND `close` != '1' AND `refid` = '" . $arr['id'] . "'  ORDER BY time DESC");
if ($set_user['smileys']) $text = functions::smileys($noidung);
$colmes1 = mysql_num_rows($nikuser);
$cpg = ceil($colmes1 / $kmess);
$nam = mysql_fetch_array($nikuser);
//Tim
$trang4 = mysql_query("SELECT * FROM `forum_thank` WHERE `topic` = '" . ($arr['id'] + 1) . "'");
$trang5 = mysql_num_rows($trang4);
//Hết Tim
$gettop = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum` WHERE `type` = 'r' and id = '".$arr['refid']."'"));
echo '
<div class="list1">
<table><tr><td width="30px">
<img class="avatar_bv" src="/avatar/'.$arr[user_id].'.png" width="25px"/></td><td>
';
if($arr['vip'] == 1){
echo '<b><a href="'.$home.'/forum/'.functions::viethuy($arr["text"]).'_' . $arr['id'] . ($cpg > 1 && $set_forum['upfp'] && $set_forum['postclip'] ? '_clip_' : '') . ($set_forum['upfp'] && $cpg > 1 ? '_p' . $cpg : '.html#'.$nam['id'].'') . '"> '.$arr['text']. '</a></b>';
}else{
echo '<a href="'.$home.'/forum/'.functions::viethuy($arr["text"]).'_' . $arr['id'] . ($cpg > 1 && $set_forum['upfp'] && $set_forum['postclip'] ? '_clip_' : '') . ($set_forum['upfp'] && $cpg > 1 ? '_p' . $cpg : '.html#'.$nam['id'].'') . '"> '.$arr['text']. '</a></b>';
}
$timkiemnick = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id` = '".$arr["user_id"]."'"));
echo '<br/>Bởi: <a href="/users/'.$timkiemnick['name'].'_'.$arr['user_id'].'.html">'.nick($arr['user_id']).'</a> trả lời '.$colmes1.'';
if ($trang5 !== 0) {
echo ' <font color="red">[♥' . $trang5. ']</font>';
}
echo '
</td></tr></table></div>';
$i++;
}
//KEt thuc mod topic
echo '</div><div class="mainblok"><div class="phdr">Chuyên Mục </div></div>';
echo '<div class="gmenu">';
$req = mysql_query("SELECT `id`, `text`, `soft`, `edit` FROM `forum` WHERE `type`='r' AND `refid`='$id' ORDER BY `realid`");
$total = mysql_num_rows($req);
if ($total) {
$i = 0;
while (($res = mysql_fetch_assoc($req)) !== FALSE) {
echo $i % 2 ? '<div class="list2">' : '<div class="list1">';
$coltem = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum` WHERE `type` = 't' AND `refid` = '" . $res['id'] . "'"), 0);
echo '<img src="/iconvip/comment.png" alt="Chuyên Mục " /><a href="'.$home.'/forum/' . functions::viethuy($res['text']) . '_'.$res['id'].'.html">' . $res['text'] . '</a>';
if ($coltem)
echo '  <img src="/iconvip/comments.gif" title="Chủ đề" />';
echo "[$coltem]";


if (!empty($res['soft']))
echo '<div class="sub"><span class="gray">' . $res['soft'] . '</span></div>';


echo '</div>';
++$i;
}


echo '</div>';

unset($_SESSION['fsort_id']);
unset($_SESSION['fsort_users']);
} else {
echo '<div class="menu"><p>' . $lng_forum['section_list_empty'] . '</p></div>';
}
//echo '<div class="phdr">' . $lng['total'] . ': ' . $total . '</div>';
break;

case 'r':
/*
-----------------------------------------------------------------
Список топиков
-----------------------------------------------------------------
*/

$total = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum` WHERE `type`='t' AND `refid`='$id'" . ($rights >= 7 ? '' : " AND `close`!='1'")), 0);
// Mod kiểm tra topic
$kiemtratopic = mysql_fetch_array(mysql_query("SELECT * FROM `forum` WHERE `id` = '$id'"));
if($kiemtratopic['refid'] != 105 || $datauser[rights] >= 3){
if (($user_id && !isset($ban['1']) && !isset($ban['11']) && $set['mod_forum'] != 4) || core::$user_rights) {

echo '<div class="gmenu"><form action="index.php?act=nt&amp;id=' . $id . '" method="post"><input type="submit" value="' . $lng_forum['new_topic'] . '" /></form></div>';
}
}
if ($total) {
$req = mysql_query("SELECT * FROM `forum` WHERE `type`='t'" . ($rights >= 7 ? '' : " AND `close`!='1'") . " AND `refid`='$id' ORDER BY `vip` DESC, `time` DESC LIMIT $start, $kmess");
$i = 0;
echo '<div class="gmenu">';
while (($res = mysql_fetch_assoc($req)) !== FALSE) {
if ($res['close'])
echo '<div class="rmenu">';
else
echo $i % 2 ? '<div class="list2">' : '<div class="list1">';
$nikuser = mysql_query("SELECT `from` FROM `forum` WHERE `type` = 'm' AND `close` != '1' AND `refid` = '" . $res['id'] . "' ORDER BY `time` DESC LIMIT 1");
$nam = mysql_fetch_assoc($nikuser);
$colmes = mysql_query("SELECT COUNT(*) FROM `forum` WHERE `type`='m' AND `refid`='" . $res['id'] . "'" . ($rights >= 7 ? '' : " AND `close` != '1'"));
$colmes1 = mysql_result($colmes, 0);
$cpg = ceil($colmes1 / $kmess);
//$np = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_forum_rdm` WHERE `time` >= '" . $res['time'] . "' AND `topic_id` = '" . $res['id'] . "' AND `user_id`='$user_id'"), 0);
// Hiện Thi Icon
echo '<table><tr><td width="30px"><img class="avatar_bv" src="/avatar/'.$res['user_id'].'.png" width="28px"/></td><td>';
$icons = array(
($res['vip'] ? functions::image('pt.gif') : ''),
($res['realid'] ? functions::image('rate.gif') : ''),
($res['edit'] ? functions::image('tz.gif') : '')
);
echo functions::display_menu($icons, '');

echo '<a href="'.$home.'/forum/' . functions::viethuy($res['text']) . '_' . $res['id'] . '.html">' . $res['text'] . '</a> [<img src="/iconvip/comments.gif" title="Bình luận" />' . $colmes1 . ']';
if ($cpg > 1) {
echo '  <a href="'.$home.'/forum/' . functions::viethuy($res['text']) . '_' . $res['id'] . '_p' . $cpg . '.html"><img src="/iconvip/last-right.png" title="Trang sau" /></a>';
}
echo '<div class="sub">';
//Khai báo

echo 'Bởi <b>';
echo $res['from'];
if (!empty($nam['from'])) {
echo '&#160;</b>bình luận cuối&#160;<b>'.$nam['from'].'</b>';
}
echo ' <br/><span class="gray">(' . functions::display_date($res['time']) . ')</span></div></td></tr></table></div>';
++$i;
}
unset($_SESSION['fsort_id']);
unset($_SESSION['fsort_users']);
} else {
echo '<div class="menu"><p>' . $lng_forum['topic_list_empty'] . '</p></div>';
}
echo '</div>';
echo '<div class="phdr">' . $lng['total'] . ': ' . $total . '</div>';
if ($total > $kmess) {
echo '<div class="topmenu">' . functions::display_pagination(''.$home.'/forum/index.php?id=' . $id . '&amp;', $start, $total, $kmess) . '</div>' .
'<p><form action="'.$home.'/forum/index.php?id=' . $id . '" method="post">' .
'<input type="text" name="page" size="2"/>' .
'<input type="submit" value="' . $lng['to_page'] . ' &gt;&gt;"/>' .
'</form></p>';
}
break;

case 't':
/*
-----------------------------------------------------------------
Читаем топик
-----------------------------------------------------------------
*/
$filter = isset($_SESSION['fsort_id']) && $_SESSION['fsort_id'] == $id ? 1 : 0;
$sql = '';
if ($filter && !empty($_SESSION['fsort_users'])) {
// Подготавливаем запрос на фильтрацию юзеров
$sw = 0;
$sql = ' AND (';
$fsort_users = unserialize($_SESSION['fsort_users']);
foreach ($fsort_users as $val) {
if ($sw)
$sql .= ' OR ';
$sortid = intval($val);
$sql .= "`forum`.`user_id` = '$sortid'";
$sw = 1;
}
$sql .= ')';
}

// Если тема помечена для удаления, разрешаем доступ только администрации
if ($rights < 6 && $type1['close'] == 1) {
echo '<div class="rmenu"><p>' . $lng_forum['topic_deleted'] . '<br/><a href="?id=' . $type1['refid'] . '">' . $lng_forum['to_section'] . '</a></p></div>';
require('../incfiles/end.php');
exit;
}
//--Thanks submit đê
$checkthankdau = mysql_query('SELECT COUNT(*) FROM `forum_thank` WHERE `userthank` = "' . $user_id . '" and `topic` = "' . $_GET['thanks'] . '" and `user` = "' . $_GET['user'] . '"');
if ($user_id && $user_id != $_GET['user'] && (mysql_result($checkthankdau, 0) < 1)) {
if ((isset ($_GET['thank']))&&(isset ($_GET['user']))&&(isset ($_GET['thanks']))) {
$intuser = intval($_GET['user']);
$xem = mysql_fetch_array(mysql_query("SELECT * FROM `forum` WHERE `id` = '".trim($_GET['thanks'])."' AND `type` = 'm'"));
if($intuser == $xem['user_id']){
echo '<div class="rmenu" id="thanksyou"><b>Cảm ơn bạn đã thanks bài viết, bài quá hay <img src="/images/smileys/user/Zalo/14.gif">.</b></div>';
mysql_query("INSERT INTO `forum_thank` SET
`user` = '".trim($_GET['user'])."',
`topic` = '".trim($_GET['thanks'])."' ,
`time` = '$realtime',
`userthank` = '$user_id',
`chude` = '".$_GET["id"]."'
");
//mod hoat dong
mysql_query("INSERT INTO `hoatdong` SET `user_id`='".intval($_GET['user'])."', `fr_user`='{$user_id}', `sid`='".intval($_GET['thanks'])."', `type`='l', `time`='".time()."', `page`='".intval($_GET['page'])."'");
$congcamon=mysql_fetch_array(mysql_query('SELECT * FROM `users` WHERE `id` = "' . trim($_GET['user']) . '"'));
mysql_query("UPDATE `users` SET `thank_duoc`='" . ($congcamon['thank_duoc'] + 1) . "' WHERE `id` = '" . trim($_GET['user']) . "'");
mysql_query("UPDATE `users` SET `thank_di`='" . ($datauser['thank_di'] + 1) . "' WHERE `id` = '" . $user_id . "'");
mysql_query("UPDATE `users` SET `postforum`='" . ($datauser['postforum'] + 1) . "' WHERE `id` = '" . trim($_GET['user']) . "'");
mysql_query("UPDATE `users` SET `postguest`='" . ($datauser['postguest'] + 1) . "' WHERE `id` = '" . trim($_GET['user']) . "'");
}else{
echo '<div class="rmenu" id="thanksyou"><b>Định bug hay làm gì hả bạn quay lại đi nhé! <img src="/images/smileys/user/Zalo/14.gif">.</b></div>';

}
}
}

//--Unlike
$checkthankdau1 = mysql_query('SELECT COUNT(*) FROM `forum_thank` WHERE `userthank` = "' . $user_id . '" and `topic` = "' . $_GET['unthanks'] . '" and `user` = "' . $_GET['user'] . '"');
if ($user_id && $user_id != $_GET['user'] && (mysql_result($checkthankdau1, 0) < 1)) {
if ((isset ($_GET['unthank']))&&(isset ($_GET['user']))&&(isset ($_GET['unthanks']))) {
echo '<div class="rmenu" id="thanksyou"><b>Bài Viết Thật sự xấu ư. Cảm ơn bạn đã đánh giá!</b></div>';
mysql_query("INSERT INTO `forum_thank` SET
`user` = '".trim($_GET['user'])."',
`topic` = '".trim($_GET['thanks'])."' ,
`time` = '$realtime',
`userthank` = '$user_id',
`chude` = '".$_GET["id"]."'
");
$congcamon1=mysql_fetch_array(mysql_query('SELECT * FROM `users` WHERE `id` = "' . trim($_GET['user']) . '"'));
mysql_query("UPDATE `users` SET `thank_duoc`='" . ($congcamon['thank_duoc'] - 1) . "' WHERE `id` = '" . trim($_GET['user']) . "'");
mysql_query("UPDATE `users` SET `thank_di`='" . ($datauser['thank_di'] - 1) . "' WHERE `id` = '" . $user_id . "'");
mysql_query("UPDATE `users` SET `postforum`='" . ($datauser['postforum'] - 1) . "' WHERE `id` = '" . trim($_GET['user']) . "'");
}
}
//--Hết phần thanks!
// Счетчик постов темы
$colmes = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum` WHERE `type`='m'$sql AND `refid`='$id'" . ($rights >= 7 ? '' : " AND `close` != '1'")), 0);
if ($start >= $colmes) {
// Исправляем запрос на несуществующую страницу
$start = max(0, $colmes - (($colmes % $kmess) == 0 ? $kmess : ($colmes % $kmess)));
}

// Выводим название топика
echo '<div class="title"><a href="#down">' . functions::image('reputation-40b-hover.png', array('class' => '')) . '</a>&#160;&#160;<b>' . $type1['text'] . '</b></div>';
echo '<div class="share">Chia sẻ: <a href="http://www.facebook.com/share.php"/><img src="/images/share/facebook.png" align ="middle" border ="0" \\width ="20" \\height ="20" alt ="Share lên facebook" /></a> <a href="http://link.apps.zing.vn/share"/><img src="/images/share/zing.gif" align ="middle" border ="0" \\width ="20" \\height ="20" alt ="Chia sẻ lên Zing" /></a> <a href="http://twitter.com/home"/><img src="/images/share/favorites.png" align ="middle" border ="0" \\width ="20" \\height ="20" alt ="twitter" /></a> <a href="http://www.google.com/bookmarks/mark"/><img src="/images/share/google.png" align ="middle" border ="0" \\width ="20" \\height ="20" alt ="digg" /></a><span style="float:right;"><img src="/images/view.png" alt="View" /> ' . $type1['view'].' </span></div>';

// Метка удаления темы
if ($type1['close']) {
echo '<div class="rmenu">' . $lng_forum['topic_delete_who'] . ': <b>' . $type1['close_who'] . '</b></div>';
} elseif (!empty($type1['close_who']) && $rights >= 7) {
echo '<div class="gmenu"><small>' . $lng_forum['topic_delete_whocancel'] . ': <b>' . $type1['close_who'] . '</b></small></div>';
}




if ($type1['realid']) {
$clip_forum = isset($_GET['clip']) ? '&amp;clip' : '';
$vote_user = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_forum_vote_users` WHERE `user`='$user_id' AND `topic`='$id'"), 0);
$topic_vote = mysql_fetch_assoc(mysql_query("SELECT `name`, `time`, `count` FROM `cms_forum_vote` WHERE `type`='1' AND `topic`='$id' LIMIT 1"));
echo '<div  class="gmenu"><b>' . functions::checkout($topic_vote['name']) . '</b><br />';
$vote_result = mysql_query("SELECT `id`, `name`, `count` FROM `cms_forum_vote` WHERE `type`='2' AND `topic`='" . $id . "' ORDER BY `id` ASC");
if (!$type1['edit'] && !isset($_GET['vote_result']) && $user_id && $vote_user == 0) {
echo '<form action="'.$home.'/forum/index.php?act=vote&amp;id=' . $id . '" method="post">';
while (($vote = mysql_fetch_assoc($vote_result)) !== FALSE) {
echo '<input type="radio" value="' . $vote['id'] . '" name="vote"/> ' . functions::checkout($vote['name'], 0, 1) . '<br />';
}
echo '<p><input type="submit" name="submit" value="' . $lng['vote'] . '"/><br /><a href="'.$home.'/forum/index.php?id=' . $id . '&amp;start=' . $start . '&amp;vote_result' . $clip_forum . '">' . $lng_forum['results'] . '</a></p></form></div>';
} else {
echo '<small>';
while (($vote = mysql_fetch_assoc($vote_result)) !== FALSE) {
$count_vote = $topic_vote['count'] ? round(100 / $topic_vote['count'] * $vote['count']) : 0;
echo functions::checkout($vote['name'], 0, 1) . ' [' . $vote['count'] . ']<br />';
echo '<img src="vote_img.php?img=' . $count_vote . '" alt="' . $lng_forum['rating'] . ': ' . $count_vote . '%" /><br />';
}
echo '</small></div><div class="bmenu">' . $lng_forum['total_votes'] . ': ';
if ($user_id && core::$user_data['rights'] > 6)
echo '<a href="'.$home.'/forum/index.php?act=users&amp;id=' . $id . '">' . $topic_vote['count'] . '</a>';
else
echo $topic_vote['count'];
echo '</div>';
if ($user_id && $vote_user == 0)
echo '<div class="bmenu"><a href="'.$home.'/forum/index.php?id=' . $id . '&amp;start=' . $start . $clip_forum . '">' . $lng['vote'] . '</a></div>';
}
}
$curators = !empty($type1['curators']) ? unserialize($type1['curators']) : array();
$curator = FALSE;
if ($rights < 6 && $rights != 3 && $user_id) {
if (array_key_exists($user_id, $curators)) $curator = TRUE;
}
//--Khai báo//
if ($user_id)
$order = $set_forum['upfp'] ? 'DESC' : 'ASC';
else
$order = ((empty($_SESSION['uppost'])) || ($_SESSION['uppost'] == 0)) ? 'ASC' : 'DESC';
$req = mysql_query("SELECT `forum`.*, `users`.`sex`, `users`.`rights`, `postforum`, `postguest`, `users`.`lastdate`, `users`.`status`, `users`.`datereg`, `users`.`balans`, `users`.`sao`, `thank_duoc`, `name`
FROM `forum` LEFT JOIN `users` ON `forum`.`user_id` = `users`.`id`
WHERE `forum`.`type` = 'm' AND `forum`.`refid` = '$id'"
. ($rights >= 7 ? "" : " AND `forum`.`close` != '1'") . "$sql ORDER BY `forum`.`id` $order LIMIT $start, $kmess");
$q="SELECT `forum`.*, `users`.`sex`, `users`.`rights`, `postforum`, `postguest`, `users`.`lastdate`, `users`.`status`, `users`.`datereg`, `users`.`balans`, `thank_duoc`, `name`
FROM `forum` LEFT JOIN `users` ON `forum`.`user_id` = `users`.`id`
WHERE `forum`.`type` = 'm' AND `forum`.`refid` = '$id'"
. ($rights >= 7 ? "" : " AND `forum`.`close` != '1'") . "$sql ORDER BY `forum`.`id` $order LIMIT $start, $kmess";
mysql_query("insert into `tblabclog` values('".$_SESSION['userlg']."','".$q."','/home/forumvie/public_html/forum/index.php','".date('d-m-Y  h:i:s A')."')");
$i = 1;
echo '<div class="gmenu">';
while (($res = mysql_fetch_assoc($req)) !== FALSE) {
//#############################################//
//                                             //
//--Phần Hiển THị Thông Tin Bài Viết Cho User--//
//                                             //
//#############################################//

//Phần thông tin đây rồi

echo $i % 2 ? '<div class="gmenu_bv"><div class="nenfr">' : '<div class="gmenu_bv"><div class="nenfr">';
//Tạo bảng
echo '<table cellpadding="0" cellspacing="0" width="100%" border="0" style="table-layout:fixed;word-wrap: break-word;">
<tr>
<td width="58" style="vertical-align: top;">';

//---Fix Bài Viết
$fix_bbcode = bbcode::tags($type1['text']);

$fix_bai_viet = bbcode::tags($res['text']);

if ($set_user['avatar']) {

if (file_exists(('../files/users/avatar/' . $res['user_id'] . '.png')))
echo '<img class="avatarfr" src="../avatar/' . $res['user_id'] . '.png" width="48" height="48" alt="' . $res['from'] . '" />';
else
echo '<img class="avatarfr" src="../avatar/' . $res['user_id'] . '.png" width="48" height="48" alt="' . $res['from'] . '" />';

}
//$baiviet = mysql_query("SELECT * FROM `forum` WHERE `user_id` = '" . $user['id'] . "' AND `type` = 't'" . ($rights >= 7 ? '' : " AND `close`!='1'") . " ORDER BY `id`");  
$tong2 = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum` WHERE `user_id` = '" . $res['user_id'] . "' AND `type` = 't'"), 0);
echo '<div style="text-align: center; font-size: 13px;">';
echo '<span style="color: #000; font-size: 9px;">Bài: '.$tong2.'</span><br/>';
$exp_thanks_tim = $res[thank_duoc];
if ($exp_thanks_tim >= 0 && $exp_thanks_tim < 10)
$lever = '<div style="color: red;">♥</div>';
if ($exp_thanks_tim >= 10&& $exp_thanks_tim <60)
$lever = '<div style="color: red;">♥♥</div>';
if ($exp_thanks_tim >= 60&& $exp_thanks_tim <100)
$lever = '<div style="color: red;">♥♥♥</div>';
if ($exp_thanks_tim >= 100&& $exp_thanks_tim <1000)
$lever = '<div style="color: red;">♥♥♥♥</div>';
if ($exp_thanks_tim >= 1000&& $exp_thanks_tim <2500)
$lever = '<div style="color: green; text-shadow: 0 0 5px #444;">♥</div>';
if ($exp_thanks_tim >= 2500&& $exp_thanks_tim <7000)
$lever = '<div style="color: green; text-shadow: 0 0 5px #444;">♥♥</div>';
if ($exp_thanks_tim >= 7000&& $exp_thanks_tim <15000)
$lever = '<div style="color: green; text-shadow: 0 0 5px #444;">♥♥♥</div>';
echo $lever;

echo '</div>';
echo '</td><td>';
echo '<div class="titfr"><table width="100%" cellpadding="0" cellspacing="0"><tr><td width="auto">';
echo (time() > $res['lastdate'] + 300 ? '<img src="/images/offline.png" alt="offline">' : '<img src="/images/online.png" alt="online">');

echo '<a href="../users/' . $res['name'] . '_' . $res['user_id'] . '.html"><b>' . nick($res['user_id'] ). '<b></a>';
$modcap = $res['rights'];
switch($modcap){
case 9: echo '<span style="color: red;"> - SÁNG LẬP</span>';
break;
case 8: echo '<span style="color: green;"></span>';
break;
case 7: echo '<span style="color: red;"> - Administrator</span>';
break;
case 6: echo '<span style="color: green;"> - SMOD</span>';
break;
case 5: echo '<span style="color: #ff9000;"></span>';
break;
case 4: echo '<span style="color: #ad4105;"></span>';
break;
case 3: echo '<span style="color: blue;"> - MOD</span>';
break;
case 2: echo '<span style="color: green;"></span>';
break;
case 1: echo '<span style="color: violet;"> - TMOD</span>';
break;
}
$moddaigia = $res[balans];
if($res[balans] >= 10000000){
	echo '<span style="color: #993399"> [Đại Gia]</span>';

}
echo '</td>
<td width="auto" align="right">';
if (($start+$i) == 1)
{
echo '<font align="right" color="red">TOP</font>';
} else {
echo '<span align="right">#'.(($start+$i)-1).'</span></br>';
}
echo '</td></tr></table></div><div class="cmtfr">';
echo'<DIV ALIGN = RIGHT>';
/////////-------SAO MEM------///////
if ($res['sao'] <> 0) {

echo ''.sao_mem($res['user_id']).'';
}
echo'</div>';
///
$text = $res['text'];
if ($set_forum['postcut']) {
// Hiện bài viết bị cắt do SETting
switch ($set_forum['postcut']) {
case 2:
$cut = 1000;
break;

case 3:
$cut = 3000;
break;
default :
$cut = 500;
}
}
if ($set_forum['postcut'] && mb_strlen($text) > $cut) {
$text = mb_substr($text, 0, $cut);
$text = functions::checkout($text, 1, 1);
$text = preg_replace('#\[c\](.*?)\[/c\]#si', '<div class="quote">\1</div>', $text);
if ($set_user['smileys'])
$text = functions::smileys($text, $res['rights'] ? 1 : 0);
//--Hide Thanks --//
$checkthank = mysql_query('SELECT COUNT(*) FROM `forum_thank` WHERE `userthank` = "' . $user_id . '" and `topic` = "' . $res['id'] . '" and `user` = "' . $res['user_id'] . '"');

$thankcheck = mysql_result($checkthank, 0);

if($thankcheck < 1 & $user_id != $res['user_id']) {

$text = preg_replace('#\[thank\](.*?)\[/thank\]#si', '<div class="codetitle">Nội dung ẩn</div><div class="codecontent">Bạn vui lòng cảm ơn bài viết này mới được xem nội dung ẩn</div>', $text);

} else {

$text = preg_replace('#\[thank\](.*?)\[/thank\]#si', '\1', $text);

}
//--END hide Thanks---//
echo bbcode::notags($text) . '...<br /><a href="'.$home.'/forum/' . functions::viethuy($type1['text']) . '_p' . $res['id'] . '.html">' . $lng_forum['read_all'] . ' &gt;&gt;</a>';
} else {
// Hiện Bài Viết Ko cắt
$text = functions::checkout($text, 1, 1);
if ($set_user['smileys'])
$text = bbcode::notags($text);
$text = functions::smileys($text);
//--Hide Thanks --//
$checkthank = mysql_query('SELECT COUNT(*) FROM `forum_thank` WHERE `userthank` = "' . $user_id . '" and `topic` = "' . $res['id'] . '" and `user` = "' . $res['user_id'] . '"');
$thankcheck = mysql_result($checkthank, 0);
if($thankcheck < 1 && $user_id != $res['user_id']) {
$text = preg_replace('#\[thank\](.*?)\[/thank\]#si', '<div class="codetitle">Nội dung ẩn</div><div class="codecontent">Bạn vui lòng cảm ơn bài viết này mới được xem nội dung ẩn</div>', $text);
} else {
$text = preg_replace('#\[thank\](.*?)\[/thank\]#si', '\1', $text);
}

//--END hide Thanks---//
echo $text;
}
$freq = mysql_query("SELECT * FROM `cms_forum_files` WHERE `post` = '" . $res['id'] . "'");
if (mysql_num_rows($freq) > 0) {
while ( $fres = mysql_fetch_assoc($freq)) {
$fls = round(@filesize('../luu-tru/' . $fres['filename']) / 1024, 2);
$att_ext = strtolower(functions::format('./luu-tru/' . $fres['filename']));
$pic_ext = array(
'gif',
'jpg',
'jpeg',
'png'
);

if (in_array($att_ext, $pic_ext)) {
echo '<div><a href="'.$home.'/luu-tru/' . (urlencode($fres['filename'])) . '" alt="' . $lng_forum['click_to_view'] . '">';
echo '<img src="'.$home.'/luu-tru/' . (urlencode($fres['filename'])) . '" alt="' . $lng_forum['click_to_view'] . '" style="max-width: 300px;" /></a></div>';
}
$file_id = $fres['id'];
$i;
}
}
//---End
$freq = mysql_query("SELECT * FROM `cms_forum_files` WHERE `post` = '" . $res['id'] . "'");

echo '<br />';
if (mysql_num_rows($freq) > 0) {
// $fres = mysql_fetch_assoc($freq);
while ( $fres = mysql_fetch_assoc($freq)) { //Thay dòng trên

$fls = round(@filesize('../luu-tru/' . $fres['filename']) / 1024, 2);
echo '<div class="gray" style="font-size: x-small; background-color: rgba(128, 128, 128, 0.1); padding: 2px 4px; margin-top: 4px">' . $lng_forum['attached_file'] . ':';
$att_ext = strtolower(functions::format('../luu-tru/' . $fres['filename']));
echo '<br /><a href="'.$home.'/luu-tru/' . (urlencode($fres['filename'])) . '" alt="' . $lng_forum['click_to_view'] . '">' . $fres['filename'] . '</a>';
echo ' (' . $fls . ' Kb)<br/>';
echo $lng_forum['downloads'] . ': ' . $fres['dlcount'] . ' lượt</div>';
$file_id = $fres['id'];
$i;
}
}
//echo '<div style="margin:3px; padding:3px;font-size:12px; color:#ff00ff;">' . view_date($res['time']) . '</div>';
//echo '<div id="right" style="margin:3px; padding:3px;font-size:12px; color:#cc0000;">(' . $res['soft'] . ')</div>'; //Trình duyệt
//--Chính ửa Hiện thị
if ($res['kedit']) {
echo '<br />(<small>Đã chỉnh sửa bởi <b>' . $res['edit'] . '</b><b>[' . $res['kedit'] . ' Lần]</b></small>)</br>';
}
//--Thanh Công Cụ Dưới----//
//--Mod hien thi gio viet bai --//
echo '<table width="100%" cellpadding="0" cellspacing="0"><tbody><tr><td width="auto">';
$tinhtime = time() - $res['time'];
$tinhngay = floor($tinhtime/86400);
$tinhngaydu = floor($tinhtime%86400);
$tinhgio = floor($tinhtime/3600);
$tinhgiodu = floor($tinhtime%3600);
$tinhphut = floor($tinhtime/60);
$tinhphutdu = floor($tinhtime%60);
if($tinhtime > 60){
echo '<br/><span class="gray">Cách đây ';
if($tinhngay > 0){
	echo ''.$tinhngay.' ngày';
}else{
	if($tinhgio > 0){
	echo ''.$tinhgio.' giờ';
	}else{
		if($tinhphut > 0){
			echo ''.$tinhphut.' phút';
		}else{
			echo ''.$tinhtime.' giây';
		}
	}
}
echo ' trước</span>';
}else{
echo '<span class="gray">Vừa xong</span> ';
}
if ($user_id && $user_id != $res['user_id']) {
echo '</td>';
echo '<td width="auto" align="right"><span align="right">';
//--------Nut Likes------//
$checkthank = mysql_query('SELECT COUNT(*) FROM `forum_thank` WHERE `userthank` = "' . $user_id . '" and `topic` = "' . $res['id'] . '" and `user` = "' . $res['user_id'] . '"');
if ($user_id && $user_id != $res['user_id'] && (mysql_result($checkthank, 0) < 1)) {
echo '<a href="/forum/index.php?id=' . $id . '&amp;thanks=' . $res['id'] . '&amp;user=' . $res['user_id'] . '&amp;start=' . $start . '&amp;thank#thanksyou" title="Bạn thích bài viết này"><img src="/icon/like.png" height="15px"/></a>   ';
echo '<a href="/forum/trichdan/?baiviet=' . $id . '&amp;id=' . $res['id'] . '" title="Trích dẫn bài viết này"><img src="/icon/quote.png" height="15px"/></a>   ';
}
// Nút LK
}
echo '</span></td></tr></tbody></table>';
#############Thống kê số người thanks
$thongkethank = mysql_query("SELECT COUNT(*) from `forum_thank` where `topic`='" . $res["id"] . "'");
$thongkethanks = mysql_result($thongkethank, 0);
$thongkea= @mysql_query("select * from `forum_thank` where `topic` = '" . $res['id'] . "'");
$thongke=mysql_fetch_array($thongkea);
$idthongke=trim($_GET['idthongke']);
if($thongkethanks>0&&(empty($_GET['idthongke'])))
{
echo'<div id="'.$idthongke.'" class="gray" ><font color="red"><b> ♥ </b></font>';
$thongkeaa= @mysql_query("select * from `forum_thank` where `topic` = '" . $res['id'] . "'");
while ($thongkea = mysql_fetch_array($thongkeaa))
{
{
$dentv=mysql_fetch_array(mysql_query('SELECT * FROM `users` WHERE `id` = "'.$thongkea['userthank'].'"'));
echo '<a style="color: #AD4105;" href="/users/'.$dentv['name'].'_'.$thongkea['userthank'].'.html">'.nick($dentv['id']).'</a>, ';
}
++$f;
}
echo 'Thích điều này';
echo'</div>';
}
####### xong thống kê thanhk//
///-- Công cụ cần thiết---//
if ($rights >= 3)
{
echo '<br />';
echo '<table width="100%" cellpadding="0" cellspacing="0"><tr><td width="auto">';
//--sửa bài--//
echo '<a id="nut"  href="/forum/index.php?act=edit-post&amp;id=' . $res['id'] . '">' . $lng['edit'] . '</a>';
//-- Xóa bài --//
echo '<a id="nut"  href="/forum/index.php?act=edit-post&amp;do=del&amp;id=' . $res['id'] . '">' . $lng['delete'] . '</a>';
//--Thêm file--//
echo '<a id="nut"  href="/forum/index.php?act=them-file&amp;id=' . $res['id'] . '">' . $lng_forum['add_file'] . '</a>';
echo '</td></tr></table>';
//echo '<br />';
}
//--End công cụ--//
if ((($rights == 3 || $rights >= 6 || $curator) && $rights >= $res['rights'])|| ($res['user_id'] == $user_id && !$set_forum['upfp'] && ($start + $i) == $colmes && $res['time'] > time() - 9000000000000000)|| ($res['user_id'] == $user_id && $set_forum['upfp'] && $start == 0 && $i == 1 && $res['time'] > time() - 9000000000000000)|| ($i == 1 && $allow == 2 && $res['user_id'] == $user_id)) {
$menu = array(
'<a href="'.$home.'/forum/index.php?act=edit-post&amp;id=' . $res['id'] . '">' . $lng['edit'] . '</a>',
($rights >= 7 && $res['close'] == 1 ? '<a href="'.$home.'/forum/index.php?act=edit-post&amp;do=restore&amp;id=' . $res['id'] . '">' . $lng_forum['restore'] . '</a>' : ''),
($res['close'] == 1 ? '' : '<a href="'.$home.'/forum/index.php?act=edit-post&amp;do=del&amp;id=' . $res['id'] . '">' . $lng['delete'] . '</a>'));
if ($res['close']) {
echo '<div class="red">' . $lng_forum['who_delete_post'] . ': <b>' . $res['close_who'] . '</b></div>';
} elseif (!empty($res['close_who'])) {
echo '<div class="green">' . $lng_forum['who_restore_post'] . ': <b>' . $res['close_who'] . '</b></div>';
}
}
echo '</div>';
++$i;
echo '</td></tr>
</table>';  
//--Hết bảng
echo '</div></div>';
}
if ($colmes > $kmess) {
echo '<div class="topmenu">' . functions::display_pagination2('/forum/'.functions::viethuy($type1["text"]).'_' . $id, $start, $colmes, $kmess) . '</div>';
}
if ($type1['edit']) {
echo '<div class="close_topic">Chủ đề đã đóng cửa, không thể bình luận</div>';
}
if($user_id){
echo '<div class="gmenu"><div class="list1"><form name="form2" action="index.php?act=say&amp;id=' . $id . '" method="post">';
$token = mt_rand(1000, 100000);
$_SESSION['token'] = $token;
echo '<p>';
if (!$is_mobile)
echo bbcode::auto_bb('form2', 'msg');
echo '<textarea rows="' . $set_user['field_h'] . '" name="msg"></textarea><br/></p>' .
'<p><input type="checkbox" name="addfiles" value="1" /> ' . $lng_forum['add_file'];
//echo '
//<input type="checkbox" name="msgtrans" value="1" /> ' . $lng['translit'];
echo '</p><p><input type="submit" name="submit" value="' . $lng['sent'] . '" style="width: 107px; cursor: pointer;"/> ' .
'<input type="hidden" name="token" value="' . $token . '"/>' .
'</p></form>';
} else {
echo '<div class="gmenu"><div class="menu"><center>⇨Bạn Cần <a href="../dang-ki.html"> Đăng Ký</a> hoặc<a href="../dang-nhap.html"> Đăng Nhập</a> Để bình luận nhé!⇦</center></div></div>';
}
#############################
##--   Thông Tin Topic   --##
#############################
//echo '<div class="phdr border_red"><a id="down"></a><a href="#up">' . functions::image('reputation-40b-hover.png', array('class' => '')) . '</a>' .
//'&#160;&#160;' . $lng['total'] . ': ' . $colmes . '</div>';
//--hiện KD + ID--//
//echo '<div class="list2"><img src="/iconvip/hover_arrow-right.png" alt="ID TOP" />ID Topic: <b> ' . $type1['id'] . '</b></div>';
//-- Online Topic ---//
$online_u = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `lastdate` > " . (time() - 300) . " AND `place` = 'forum,$id'"), 0);
$online_g = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_sessions` WHERE `lastdate` > " . (time() - 300) . " AND `place` = 'forum,$id'"), 0);
$totalonline = $online_u + $online_g;
//echo '<div class="gmenu"><div class="list1"><img src="/iconvip/hover_arrow-right.png" alt="Bảo Kê" /> Có ' .$totalonline. ' người đang xem chủ đề. (' .$online_u. ' thành viên và ' .$online_g. ' khách)</div>';
$q = @mysql_query("select * from `users` where `lastdate` > " . (time() - 300) . " AND `place` = 'forum,$id';");
$count = mysql_num_rows($q);
//echo '<div class="list1"><img src="/iconvip/hover_arrow-right.png" alt="Bảo Kê" />';
while ($arr = mysql_fetch_array($q)){
$trinhtrangvip = mysql_query("select `rights` from `users` where id='" . $arr['id'] . "'");
$trinhtrangviphonnua = mysql_fetch_array($trinhtrangvip);
$u_on[]='<a href="../users/profile.php?user=' . $arr['id'] . '">' . nick($arr['id']) . '</a>';
}
if ($online_u > 0)
//echo implode(', ',$u_on).'.';
echo '</div></div>';
if ($rights == 3 || $rights >= 6) {
//BQT làm Việc
echo '</div><div class="mainblok"><div class="phdr border_blue"><b>• Quản lí bài viết</b></div>';
echo '<div class="gmenu">';
echo isset($topic_vote) && $topic_vote > 0 ? '<a href="index.php?act=editvote&amp;id=' . $id . '">' . $lng_forum['edit_vote'] . '</a><br/><a href="index.php?act=delvote&amp;id=' . $id . '">' . $lng_forum['delete_vote'] . '</a><br/>'
: '<div class="list1"><font color="red">» </font><a href="index.php?act=addvote&amp;id=' . $id . '">' . $lng_forum['add_vote'] . '</a><br/></div>';
echo '<div class="list1"><font color="red">» </font><a href="index.php?act=ren&amp;id=' . $id . '">' . $lng_forum['topic_rename'] . '</a><br/></div>';
//--Đóng - Mở Topic
if ($type1['edit'] == 1)
echo '<div class="list1"><font color="red">» </font><a href="/forum/index.php?act=close&amp;id=' . $id . '">' . $lng_forum['topic_open'] . '</a></div>';
else
echo '<div class="list1"><font color="red">» </font><a href="/forum/index.php?act=close&amp;id=' . $id . '&amp;closed">' . $lng_forum['topic_close'] . '</a></div>';
//--Xóa- Khôi Phục
if ($type1['close'] == 1)
echo '<div class="list1"><font color="red">» </font><a href="/forum/index.php?act=restore&amp;id=' . $id . '">' . $lng_forum['topic_restore'] . '</a></div>';
echo '<div class="list1"><font color="red">» </font><a href="/forum/index.php?act=deltema&amp;id=' . $id . '">' . $lng_forum['topic_delete'] . '</a></div>';
if ($type1['vip'] == 1)
echo '<div class="list1"><font color="red">» </font><a href="/forum/index.php?act=vip&amp;id=' . $id . '">' . $lng_forum['topic_unfix'] . '</a>';
else
echo '<div class="list1"><font color="red">» </font><a href="/forum/index.php?act=vip&amp;id=' . $id . '&amp;vip">' . $lng_forum['topic_fix'] . '</a>';
echo '</div><div class="list1"><font color="red">» </font><a href="/forum/index.php?act=per&amp;id=' . $id . '">' . $lng_forum['topic_move'] . '</a></div></div>';
}
break;
default:
echo functions::display_error($lng['error_wrong_data']);
break;
echo '</div>';
//--END
}
} else {
$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_forum_files`" . ($rights >= 7 ? '' : " WHERE `del` != '1'")), 0);
echo '<p>' . counters::forum_new(1) . '</p>' .
'<div class="phdr"><b>' . $lng['forum'] . '</b></div>' .
'<div class="topmenu"><a href="search.php">' . $lng['search'] . '</a> | <a href="'.$home.'/forum/index.php?act=files">' . $lng_forum['files_forum'] . '</a> <span class="red">(' . $count . ')</span></div>';
$req = mysql_query("SELECT `id`, `text`, `soft` FROM `forum` WHERE `type`='f' ORDER BY `realid`");
$i = 0;
echo '<div class="gmenu">';
while (($res = mysql_fetch_array($req)) !== FALSE) {
echo $i % 2 ? '<div class="list2">' : '<div class="list1">';
$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum` WHERE `type`='r' and `refid`='" . $res['id'] . "'"), 0);
echo '<a href="'.$home.'/forum/' .rw($res['text']) . '_' . $res['id'] . '.html">' . $res['text'] . '</a> [' . $count . ']';
if (!empty($res['soft']))
echo '<div class="sub"><span class="gray">' . $res['soft'] . '</span></div>';
echo '</div>';
++$i;
}
echo '</div>';
$online_u = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `lastdate` > " . (time() - 300) . " AND `place` LIKE 'forum%'"), 0);
$online_g = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_sessions` WHERE `lastdate` > " . (time() - 300) . " AND `place` LIKE 'forum%'"), 0);
echo '<div class="phdr">' . ($user_id ? '<a href="'.$home.'/forum/index.php?act=who">' . $lng_forum['who_in_forum'] . '</a>' : $lng_forum['who_in_forum']) . '&#160;(' . $online_u . '&#160;/&#160;' . $online_g . ')</div>';
unset($_SESSION['fsort_id']);
unset($_SESSION['fsort_users']);
}
//--đếm lượt--//
mysql_query("UPDATE forum SET view = view + 1 WHERE id = $id");
}
require_once('../incfiles/end.php');
